<?php

namespace App\Model;
const OSS_ROLE_RAN = "acs:ram::1325723521662517:role/oss-client-mam";
const OSS_ROLE_SESSION_NAME = "client-001";
class AliOssModel
{
    public static function getAilOssToken($request){

        $ali_base_url = getenv('ofc-store-svr') ? getenv('ofc-store-svr') : "http://ofc-store-svr-svr.micro";
        $url = $ali_base_url."/api/v1/assumeRole";
        $data = array(
            "role_arn" => OSS_ROLE_RAN,
            "role_session_name" => OSS_ROLE_SESSION_NAME,
        );
        $header = array(
            'Content-Type: application/json; charset=utf-8',
            'Content-Length: ' . strlen(json_encode($data))
        );
        $res = http_request_code($url,$header,"POST",json_encode($data),2);
        LogModel::addlog([" 获取阿里OSS临时token 1"=>$res,"请求URL"=>$url,"请求头header"=>$header]);
        return json_decode($res,true);
    }
}